import { defineConfig } from 'vite';
import vue from '@vitejs/plugin-vue';
const { resolve } = require('path');

export default defineConfig({
	plugins: [vue()],
	
	/* 服务器配置 */
	server: {
		/* 端口 */
		port: 3000,
		/* 地址 */
		host: "0.0.0.0",
		/* 编译后是否打开浏览器 */
		open: true,
		/* 是否开启https */
		https: false,
	},
	
	/* 打包配置 */
	build: {
		outDir: 'lib',
		lib: {
			entry: resolve(__dirname, 'packages/index.js'),
			name: 'JTMap3dUI',
			fileName: 'jt-map3d-ui',
		},
		rollupOptions: {
			// 确保外部化处理那些你不想打包进库的依赖
			external: ['vue'],
			output: {
				// 在 UMD 构建模式下为这些外部化的依赖提供一个全局变量
				globals: {
					vue: 'Vue',
				},
			},
		},
	},
});
